Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.spi
Class PacketDelivererImpl

    java.lang.Object
      org.jivesoftware.openfire.container.BasicModule
          org.jivesoftware.openfire.spi.PacketDelivererImpl

All Implemented Interfaces:
  Module, PacketDeliverer

    public class PacketDelivererImpl

extends BasicModule
implements PacketDeliverer

In-memory implementation of the packet deliverer service

Author:
  Iain Shigeoka

Field Summary
`protected SocketPacketWriteHandler` | `deliverHandler` The handler that does the actual delivery (could be a channel instead)

Constructor Summary
`PacketDelivererImpl()`

Method Summary
`void` | `deliver(org.xmpp.packet.Packet packet)` Delivers the given packet based on packet recipient and sender.
`void` | `start()` Starts the basic module.
`void` | `stop()` Stops the basic module.

Methods inherited from class org.jivesoftware.openfire.container.BasicModule
`destroy, getName, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### deliverHandler

    protected SocketPacketWriteHandler deliverHandler

  The handler that does the actual delivery (could be a channel instead)

Constructor Detail

### PacketDelivererImpl

    public PacketDelivererImpl()

Method Detail

### deliver

    public void deliver(org.xmpp.packet.Packet packet)
                 throws UnauthorizedException,
                        PacketException

  Description copied from interface: `PacketDeliverer`
  Delivers the given packet based on packet recipient and sender. The deliverer defers actual routing decisions to other classes.

  ## Warning

  Be careful to enforce concurrency DbC of concurrent by synchronizing any accesses to class resources.

  Specified by:
    `deliver` in interface `PacketDeliverer`
  Parameters:
    `packet` - the packet to route
  Throws:
    `PacketException` - if the packet is null or the packet could not be routed.
    `UnauthorizedException`

### start

    public void start()
               throws IllegalStateException

  Description copied from class: `BasicModule`

  Starts the basic module.

  Inheriting classes that choose to override this method MUST call this start() method before accessing BasicModule resources.

  Specified by:
    `start` in interface `Module`
  Overrides:
    `start` in class `BasicModule`
  Throws:
    `IllegalStateException` - If start is called before initialize successfully returns

### stop

    public void stop()

  Description copied from class: `BasicModule`

  Stops the basic module.

  Inheriting classes that choose to override this method MUST call this stop() method before accessing BasicModule resources.

  Specified by:
    `stop` in interface `Module`
  Overrides:
    `stop` in class `BasicModule`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.